
package cz.moneta.test.dsl.cebia.iva;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for WSVehiclePrices complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="WSVehiclePrices"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="BasePrice" type="{http://samo.cz/iva/}WSPrice" minOccurs="0"/&gt;
 *         &lt;element name="OptionalEquipmentPrice" type="{http://samo.cz/iva/}WSPrice" minOccurs="0"/&gt;
 *         &lt;element name="VehiclePrice" type="{http://samo.cz/iva/}WSPrice" minOccurs="0"/&gt;
 *         &lt;element name="ListPrice" type="{http://samo.cz/iva/}WSPrice" minOccurs="0"/&gt;
 *         &lt;element name="ListPriceDiscount" type="{http://samo.cz/iva/}WSPrice" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "WSVehiclePrices", propOrder = {
    "basePrice",
    "optionalEquipmentPrice",
    "vehiclePrice",
    "listPrice",
    "listPriceDiscount"
})
public class WSVehiclePrices {

    @XmlElement(name = "BasePrice", nillable = true)
    protected WSPrice basePrice;
    @XmlElement(name = "OptionalEquipmentPrice", nillable = true)
    protected WSPrice optionalEquipmentPrice;
    @XmlElement(name = "VehiclePrice", nillable = true)
    protected WSPrice vehiclePrice;
    @XmlElement(name = "ListPrice", nillable = true)
    protected WSPrice listPrice;
    @XmlElement(name = "ListPriceDiscount", nillable = true)
    protected WSPrice listPriceDiscount;

    /**
     * Gets the value of the basePrice property.
     * 
     * @return
     *     possible object is
     *     {@link WSPrice }
     *     
     */
    public WSPrice getBasePrice() {
        return basePrice;
    }

    /**
     * Sets the value of the basePrice property.
     * 
     * @param value
     *     allowed object is
     *     {@link WSPrice }
     *     
     */
    public void setBasePrice(WSPrice value) {
        this.basePrice = value;
    }

    /**
     * Gets the value of the optionalEquipmentPrice property.
     * 
     * @return
     *     possible object is
     *     {@link WSPrice }
     *     
     */
    public WSPrice getOptionalEquipmentPrice() {
        return optionalEquipmentPrice;
    }

    /**
     * Sets the value of the optionalEquipmentPrice property.
     * 
     * @param value
     *     allowed object is
     *     {@link WSPrice }
     *     
     */
    public void setOptionalEquipmentPrice(WSPrice value) {
        this.optionalEquipmentPrice = value;
    }

    /**
     * Gets the value of the vehiclePrice property.
     * 
     * @return
     *     possible object is
     *     {@link WSPrice }
     *     
     */
    public WSPrice getVehiclePrice() {
        return vehiclePrice;
    }

    /**
     * Sets the value of the vehiclePrice property.
     * 
     * @param value
     *     allowed object is
     *     {@link WSPrice }
     *     
     */
    public void setVehiclePrice(WSPrice value) {
        this.vehiclePrice = value;
    }

    /**
     * Gets the value of the listPrice property.
     * 
     * @return
     *     possible object is
     *     {@link WSPrice }
     *     
     */
    public WSPrice getListPrice() {
        return listPrice;
    }

    /**
     * Sets the value of the listPrice property.
     * 
     * @param value
     *     allowed object is
     *     {@link WSPrice }
     *     
     */
    public void setListPrice(WSPrice value) {
        this.listPrice = value;
    }

    /**
     * Gets the value of the listPriceDiscount property.
     * 
     * @return
     *     possible object is
     *     {@link WSPrice }
     *     
     */
    public WSPrice getListPriceDiscount() {
        return listPriceDiscount;
    }

    /**
     * Sets the value of the listPriceDiscount property.
     * 
     * @param value
     *     allowed object is
     *     {@link WSPrice }
     *     
     */
    public void setListPriceDiscount(WSPrice value) {
        this.listPriceDiscount = value;
    }

    public WSVehiclePrices withBasePrice(WSPrice value) {
        setBasePrice(value);
        return this;
    }

    public WSVehiclePrices withOptionalEquipmentPrice(WSPrice value) {
        setOptionalEquipmentPrice(value);
        return this;
    }

    public WSVehiclePrices withVehiclePrice(WSPrice value) {
        setVehiclePrice(value);
        return this;
    }

    public WSVehiclePrices withListPrice(WSPrice value) {
        setListPrice(value);
        return this;
    }

    public WSVehiclePrices withListPriceDiscount(WSPrice value) {
        setListPriceDiscount(value);
        return this;
    }

}
